gr::gfdm::transmitter_kernel Class Reference

<+description+> More...

`#include <transmitter_kernel.h>`

## Public Types

typedef gr::gfdm::gfdm_kernel_utils::gfdm_complex | gfdm_complex
typedef boost::shared_ptr< transmitter_kernel > | sptr

## Public Member Functions

| transmitter_kernel (int timeslots, int subcarriers, int active_subcarriers, int cp_len, int cs_len, int ramp_len, std::vector< int > subcarrier_map, bool per_timeslot, int overlap, std::vector< gfdm_complex > frequency_taps, std::vector< gfdm_complex > window_taps, std::vector< gfdm_complex > preamble)
| ~transmitter_kernel ()
int | input_vector_size ()
int | output_vector_size ()
void | generic_work (gfdm_complex *p_out, const gfdm_complex *p_in, const int ninput_size)

## Detailed Description

<+description+>

## Member Typedef Documentation

## gfdm_complex

typedef gr::gfdm::gfdm_kernel_utils::gfdm_complex gr::gfdm::transmitter_kernel::gfdm_complex

## sptr

typedef boost::shared_ptr<transmitter_kernel> gr::gfdm::transmitter_kernel::sptr

## Constructor & Destructor Documentation

## transmitter_kernel()

gr::gfdm::transmitter_kernel::transmitter_kernel | ( | int | timeslots,
|  | int | subcarriers,
|  | int | active_subcarriers,
|  | int | cp_len,
|  | int | cs_len,
|  | int | ramp_len,
|  | std::vector< int > | subcarrier_map,
|  | bool | per_timeslot,
|  | int | overlap,
|  | std::vector< gfdm_complex > | frequency_taps,
|  | std::vector< gfdm_complex > | window_taps,
|  | std::vector< gfdm_complex > | preamble
| ) |  |

## ~transmitter_kernel()

gr::gfdm::transmitter_kernel::~transmitter_kernel | ( |  | ) |

## Member Function Documentation

## generic_work()

void gr::gfdm::transmitter_kernel::generic_work | ( | gfdm_complex * | p_out,
|  | const gfdm_complex * | p_in,
|  | const int | ninput_size
| ) |  |

## input_vector_size()

int gr::gfdm::transmitter_kernel::input_vector_size | ( |  | ) |

inline

## output_vector_size()

int gr::gfdm::transmitter_kernel::output_vector_size | ( |  | ) |

inline

The documentation for this class was generated from the following file:

- transmitter_kernel.h